org.keycloak.models.dblock

## Enum DBLockProvider.Namespace

- java.lang.Object
- - java.lang.Enum<DBLockProvider.Namespace>
  - - org.keycloak.models.dblock.DBLockProvider.Namespace

- All Implemented Interfaces:
    Serializable, Comparable<DBLockProvider.Namespace>
  Enclosing interface:
    DBLockProvider

      public static enum DBLockProvider.Namespace
      extends Enum<DBLockProvider.Namespace>

  Lock namespace to have different lock types or contexts.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATABASE`
    `KEYCLOAK_BOOT`
    `OFFLINE_SESSIONS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static DBLockProvider.Namespace` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DBLockProvider.Namespace[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATABASE

          public static final DBLockProvider.Namespace DATABASE

    - #### KEYCLOAK_BOOT

          public static final DBLockProvider.Namespace KEYCLOAK_BOOT

    - #### OFFLINE_SESSIONS

          public static final DBLockProvider.Namespace OFFLINE_SESSIONS

  - ### Method Detail

    - #### values

          public static DBLockProvider.Namespace[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DBLockProvider.Namespace c : DBLockProvider.Namespace.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DBLockProvider.Namespace valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.